package it.eng.spago.services;

import it.eng.spago.base.Constants;
import it.eng.spago.base.SourceBean;
import it.eng.spago.init.InitializerIFace;
import it.eng.spago.tracing.TracerSingleton;

/**
 * Initializer used to initialize services managed by {@link ServiceCatalog}
 * 
 * @author buso
 *
 */
public class ServiceCatalogInitializer implements InitializerIFace {

	public SourceBean getConfig() {
		return null;
	}//public SourceBean getConfig()

	public void init(SourceBean config) {
		try {
			ServiceCatalog.getInstance().initServices();
		}//try {
		catch (Exception ex) {
			TracerSingleton.log(Constants.NOME_MODULO, TracerSingleton.CRITICAL, 
				"Error initializing ServiceCatalog", ex);
		}//catch (Exception ex) {
	}//public void init(SourceBean config)

}//public class ServiceCatalogInitializer implements InitializerIFace
