/**

    Copyright 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package it.eng.console.event.action;

import org.spagic.event.kill.KillProcessInstanceStart_v_0Proxy;
import org.spagic.event.kill.parameters.ParametersType;

import it.eng.spago.base.SourceBean;
import it.eng.spago.configuration.ConfigSingleton;
import it.eng.spago.dispatching.action.AbstractAction;



public class SendKillAction extends AbstractAction {

	
	public void service(SourceBean serviceRequest, SourceBean serviceResponse) throws Exception {		
		
		String waitId = (String)serviceRequest.getAttribute("waitId");
		String killReceiverURI = (String)ConfigSingleton.getInstance().getAttribute("CONSOLE.locationKillReceiver");
		
		KillProcessInstanceStart_v_0Proxy killProxy = new KillProcessInstanceStart_v_0Proxy();
		ParametersType parameters = new ParametersType();
		parameters.setWaitId(waitId);
		killProxy.setEndpoint(killReceiverURI);
		killProxy.run(parameters);
	}
	
	
	
}
