/**

    Copyright 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package it.eng.console.util;

public interface Constants {
	String project = "Spagic";
	String BLANK = "";
	
	long NO_ITER = -2;
	long ALL_ITER = -1;
	long NOT_SELECTED = -100;
	
	long ALL_PROCESS = -1;
	
	String PREFIX_ATTRIBUTE = "attr_";
	String PREFIX_PROCESS_ATTRIBUTE = "attrProcess_";
	String PREFIX_LOGS = "logs_";
	String PREFIX_CHECKBOX = "ckbox_";
	
	String PAGE = "PAGE";
	String PAGE_CMD = "PAGE_CMD";
	String PAGE_PROCESS = "PAGE_PROCESS";
	String PAGE_INSTANCES = "PAGE_INSTANCES";
	String PAGE_MESSAGES = "PAGE_MESSAGES";
	String PAGE_BINDING_COMPONENTS = "PAGE_BINDING_COMPONENT";
	String FIRST_PAGE = "FIRST_PAGE";
	String PREV_PAGE = "PREV_PAGE";
	String NEXT_PAGE = "NEXT_PAGE";
	String LAST_PAGE = "LAST_PAGE";
	String CURRENT_PAGE = "CURRENT_PAGE";
	String IS_LAST_PAGE = "IS_LAST_PAGE";
	int LAST_PAGE_VALUE = -1;
	int sizeProcessList = 15;
	int sizeProcessInstanceListFiltered = 20;
	int sizeMessagesList = 20;
	int sizeBindingComponentList = 20;
	
	String LBL_PROCESS_ID = "processId";
	String LBL_TYPE = "type";
	String LBL_VERSION = "version";
	String LBL_SELECTED_NODE = "idSelectedNode";
	String LBL_SELECTED_ITER = "idSelectedIterType";
	String LBL_SELECTED_TAXONOMY = "taxonomyName";
	String LBL_SELECTED_TAXONOMY_VALUE = "taxonomyValue";
	String LBL_STATO = "stato";
	String LBL_DATA_INIZIO = "dataInizio";
	String LBL_DATA_FINE = "dataFine";
	String LBL_ORDINAMENTO = "ordinaPer";
	String LBL_TIPO_ORDINAMENTO = "ordina";
	String LBL_TIPO_MESSAGGIO = "type";
	String LBL_OWNER = "owner";
	String LBL_ID_ATTRIBUTE = "idAttribute";
	String LBL_NAME = "name";
	String LBL_ID_COMPONENT = "idComponent";
	String LBL_NAME_COMPONENT = "nameComponent";
	String LBL_VALUE = "valore";
	String LBL_CATALOG = "catalog";
	String LBL_RESTART = "restart";
	String LBL_BCSEARCH = "bcSearch";
	String LBL_FROMPROCESSLIST = "fromProcessList";
	String LBL_BACKUP = "backup";
	String LBL_DELETE = "delete";
	String LBL_FREQUENCY = "frequency";
	String LBL_EXPIRED_TIME = "expiredTime";
	String LBL_AUTOBACKUP = "backupA";
	String LBL_AUTOBACKUP_SMX = "autoBackupDynamicData";
	String LBL_AUTODELETE_SMX = "autoDeleteDynamicData";
	// ****** Aggiunta NF per Salvatggio query in session
	String LBL_QUERY = "query";
	String LBL_ID_QUERY = "idQuery";
	String LBL_FROM_HOME="fromHome";
	
	String CLASS_BODY = "section-body";
	String CLASS_ALT = "section-alternate";
	
	String ANY_TYPE = "-1";
	String BPEL_PROCESS = "BPEL-PROCESS";
	String JBI_PROCESS = "JBI-PROCESS";
	String JBPM_PROCESS = "JBPM-PROCESS";
	
	long ANY_TYPE_COMPONENT = -1;
	String SELECT_ALL = "SELECT_ALL"; 
	String DIFFERENT_BEHAVIOUR = "DIFFERENT_BEHAVIOUR";
	
	String INPUT_MSG_TYPE = "INPUT_MSG_TYPE";
	String OUTPUT_MSG_TYPE = "OUTPUT_MSG_TYPE";
	String ERROR_MSG_TYPE = "ERROR_MSG_TYPE";
}
