<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page contentType="text/html;charset=UTF-8" 
	pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="it.eng.spago.base.SourceBean, java.util.List, 
			org.spagic.metadb.model.Process, 
			it.eng.console.util.Constants, it.eng.spago.message.MessageBundle"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"%>
<%@ taglib uri="spagotags" prefix="spago"%>
<%@ taglib uri="consoletags" prefix="console"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="docBase.jsp"%>
<head>
<title>Spagic Console</title>
<link rel="stylesheet" href='<%=docBase%>/css/console/console.css' type="text/css"/>
<link rel="stylesheet" href='<%=docBase%>/css/console/dhtmlgoodies_calendar.css' type="text/css"/>
<console:languageCodeCalendar/>
<script type="text/javascript" src='<%=docBase%>/js/console/ajax.js'></script>
<script type="text/javascript" src='<%=docBase%>/js/console/dhtmlgoodies_calendar.js'></script>
</head>
<body onload="init()">
<spago:error/>
<%
SourceBean serviceResponse = getResponseContainer(request).getServiceResponse();
String frequency = (String)serviceResponse.getAttribute(Constants.LBL_FREQUENCY);
if (frequency == null)
	frequency = "";
String expiredTime = (String)serviceResponse.getAttribute(Constants.LBL_EXPIRED_TIME);
if (expiredTime == null)
	expiredTime = "";
String autoBackup =  (String)serviceResponse.getAttribute(Constants.LBL_AUTOBACKUP);
if (autoBackup == null)
	autoBackup = "";
%>
<script>
	var ajaxObjects = new Array();	
	var backup = true;
	var backupA = "<%=autoBackup%>";
	function init() {				
		checkError();
	}
	function back() {
		window.location="<%=docBase%>/ProcessInstanceListFilteredAction.action";
	}
	function loadVersion(url) {
		var ajaxIndex = ajaxObjects.length;	
		ajaxObjects[ajaxIndex] = new sack();			
		ajaxObjects[ajaxIndex].requestFile = url;
		ajaxObjects[ajaxIndex].onCompletion = function(){showVersion(ajaxIndex)};
		ajaxObjects[ajaxIndex].runAJAX();		
	}
	function showVersion(ajaxIndex) {
		//show version
		var responseXML = ajaxObjects[ajaxIndex].responseXML;
		var version = responseXML.getElementsByTagName("SERVICE_RESPONSE")[0].getAttribute("version");
		document.getElementById("version").value = version;
	}
	function backupExecute() {
		if (noInputFilterParameters()) {
			msg = composeMessage();
			agree = confirm(msg);
			if(agree)
				document.backupForm.submit();
			else 
				return;
			
		} else
			document.backupForm.submit();
	}
	function composeMessage() {
		if(backup) 
			msg = "<%=MessageBundle.getMessage("10010", "properties.console.messages")%>"
		else
			msg = "<%=MessageBundle.getMessage("10011", "properties.console.messages")%>"
		return msg;
	}
	
	function noInputFilterParameters() {
		if (document.backupForm.processId.value==-1 
			&& document.backupForm.version.value==""
			&& document.backupForm.dataInizio.value==""
			&& document.backupForm.dataFine.value=="")
			return true;
		return false;
	}
	
	function saveConfigurationBackup(){
		var ajaxIndex = ajaxObjects.length;
		ajaxObjects[ajaxIndex] = new sack();		
		ajaxObjects[ajaxIndex].requestFile = "<%=docBase%>/UpdateConfigurationBackupProcessAction.action?frequency=" + document.getElementById("frequency").value + "&expiredTime=" + document.getElementById("expiredTime").value + "&backupA=" + backupA;
		ajaxObjects[ajaxIndex].onCompletion = function(){showMessage(ajaxIndex)};
		ajaxObjects[ajaxIndex].runAJAX();
	}
	
	function showMessage(ajaxIndex){
		var responseXML = ajaxObjects[ajaxIndex].responseXML;
		var message = responseXML.getElementsByTagName("SERVICE_RESPONSE")[0].getAttribute("message");
		alert(message);
	}
</script>
	<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<console:label id="backup"/>
	        </div>
	        <console:backMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>

			<div id="mainContainer">
			<div id="processInstanceSearch">
			<form name="backupForm" action="<%=docBase%>/BackupInstancesAction.action">
				<div id="fieldsetContainer">
				<fieldset name="Manuale">	
				<legend style="font-weight:bold"><console:label id="manual"/></legend>
				<input checked type=RADIO onclick="backup=true" name="backup" value="backup"><label for="backup"><console:label id="backup"/></label><br/>
				<input type=RADIO onclick="backup=false" name="backup" value="delete"><label for="delete"><console:label id="delete"/></label><br /><br />
				<table>
					<tr>
					<td><label for="processId"><console:label id="process"/></label></td>
					<td><select name="processId" id="processId" onchange="loadVersion('<%=docBase%>/RelevantDataProcessAndVersionNotPublisherAction.action?<%=Constants.LBL_PROCESS_ID%>=' + this.value)">
						<option value="<%=Constants.ALL_PROCESS%>"></option>
						<%  
							List<Process> processList = (List<Process>)serviceResponse.getAttribute("processo");	
							for (Process process : processList) {
						%>
							<option value="<%=process.getIdProcess()%>"><%=process.getName()%></option>	
						<%
							}
						%>
						</select>
					</td>
					
					<td><label for="version"><console:label id="version"/></label></td>
					<td><input type='text' name="version" id="version" value="" size="3"/></td>
					</tr>
			
					<td><label for="dataInizio"><console:label id="start"/></label></td>
					<td><input readonly type='text' name="dataInizio" id="dataInizio" value="" size="18"/> <a href="#" onclick="displayCalendar(document.getElementById('dataInizio'),formatData,this)"><img src="<%=docBase%>/images/console/date.png"/></a></td>
					<td><label for="dataFine"><console:label id="end"/></label></td>
					<td><input readonly type='text' name="dataFine" id="dataFine" value="" size="18"/> <a href="#" onclick="displayCalendar(document.getElementById('dataFine'),formatData,this)"><img src="<%=docBase%>/images/console/date.png"/></a></td>
				</tr>
				</table>
				<br />
					<input type="button" onClick="backupExecute();return false;" value="<console:label id="execute"/>"/>
				</fieldset>
				</div>
			</form>
			</div>
			<div id="fieldsetContainer">
				<fieldset name="Automatico">	
				<legend style="font-weight:bold"><console:label id="automatic"/></legend>
				<input type=RADIO onclick="backupA=true" name="backupA" value="autoBackup" <%=(autoBackup.equals("true") ? "checked='checked'" : "") %>><label for="backup"><console:label id="backup"/></label><br/>
				<input type=RADIO onclick="backupA=false" name="backupA" value="autoDelete" <%=(autoBackup.equals("false") ? "checked='checked'" : "") %>><label for="delete"><console:label id="delete"/></label><br /><br />
				<table>
				<tr>
					<td>
						<label for="frequency">
							<console:label id="frequency"/>
						</label>
					</td>
			 		<td>
			 			<select name="frequency" id="frequency"/>
			 				<option value="5mm" <%=( frequency.equals("5mm") ? "selected=selected" : "") %>><console:label id="every5Minutes"/></option>	
			 				<option value="15mm" <%=( frequency.equals("15mm") ? "selected=selected" : "") %>><console:label id="every15Minutes"/></option>
			 				<option value="30mm" <%=( frequency.equals("30mm") ? "selected=selected" : "") %>><console:label id="every30Minutes"/></option>
			 				<option value="1hh" <%=( frequency.equals("1hh") ? "selected=selected" : "") %>><console:label id="everyHour"/></option>
			 				<option value="12hh" <%=( frequency.equals("12hh") ? "selected=selected" : "") %>><console:label id="every12Hour"/></option>
			 				<option value="1dd" <%=( frequency.equals("1dd") ? "selected=selected" : "") %>><console:label id="everyDay"/></option>
			 				<option value="7dd" <%=( frequency.equals("7dd") ? "selected=selected" : "") %>><console:label id="everyWeek"/></option>
			 				<option value="15dd" <%=( frequency.equals("15dd") ? "selected=selected" : "") %>><console:label id="every15Day"/> </option>
			 				<option value="1MM" <%=( frequency.equals("1MM") ? "selected=selected" : "") %>><console:label id="everyMonth"/></option>
			 				<option value="3MM" <%=( frequency.equals("3MM") ? "selected=selected" : "") %>><console:label id="every3Month"/></option>
			 				<option value="6MM" <%=( frequency.equals("6MM") ? "selected=selected" : "") %>><console:label id="every6Month"/></option>
			 				<option value="12MM" <%=( frequency.equals("12MM") ? "selected=selected" : "") %>><console:label id="everyYear"/></option>
			 			</select>
			 		</td>
				</tr>
				<tr>
					<td>
						<label for="expiredTime">
							<console:label id="expiredTime"/>
						</label>
					</td>
			 		<td>
			 			<select name="expiredTime" id="expiredTime"/>
			 				<option value="5mm" <%=( expiredTime.equals("5mm") ? "selected=selected" : "") %>><console:label id="every5Minutes"/></option>
			 				<option value="15mm" <%=( expiredTime.equals("15mm") ? "selected=selected" : "") %>><console:label id="every15Minutes"/></option>
			 				<option value="30mm" <%=( expiredTime.equals("30mm") ? "selected=selected" : "") %>><console:label id="every30Minutes"/></option>
			 				<option value="1hh" <%=( expiredTime.equals("1hh") ? "selected=selected" : "") %>><console:label id="everyHour"/></option>
			 				<option value="12hh" <%=( expiredTime.equals("12hh") ? "selected=selected" : "") %>><console:label id="every12Hour"/></option>
			 				<option value="1dd" <%=( expiredTime.equals("1dd") ? "selected=selected" : "") %>><console:label id="everyDay"/></option>
			 				<option value="7dd" <%=( expiredTime.equals("7dd") ? "selected=selected" : "") %>><console:label id="everyWeek"/></option>
			 				<option value="15dd" <%=( expiredTime.equals("15dd") ? "selected=selected" : "") %>><console:label id="every15Day"/> </option>
			 				<option value="1MM" <%=( expiredTime.equals("1MM") ? "selected=selected" : "") %>><console:label id="everyMonth"/></option>
			 				<option value="3MM" <%=( expiredTime.equals("3MM") ? "selected=selected" : "") %>><console:label id="every3Month"/></option>
			 				<option value="6MM" <%=( expiredTime.equals("6MM") ? "selected=selected" : "") %>><console:label id="every6Month"/></option>
			 				<option value="12MM" <%=( expiredTime.equals("12MM") ? "selected=selected" : "") %>><console:label id="everyYear"/></option>
			 			</select>
			 		</td>
				</tr>
				</table>
				<input type="button" onClick="saveConfigurationBackup();return false;" value="<console:label id="save"/>"/>
				</fieldset>
			</div>
			</div> <!-- end mainContainer -->
		</div>
		</div>
</body>
</html>
