<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="org.spagic.metadb.base.ProcessInstanceStateConstants,
			it.eng.console.util.Constants, it.eng.spago.base.SourceBean, it.eng.spago.base.ResponseContainer,
			it.eng.spago.message.MessageBundle, it.eng.spago.configuration.ConfigSingleton"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"
%>
<%@ taglib uri="consoletags" prefix="console"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="listBase.jsp"%>
<body onload="init();return false;">
<%
	SourceBean serviceResponse = getServiceResponse(request);
	String taxonomyVisible = ((String)ConfigSingleton.getInstance().getAttribute("CONSOLE.taxonomyVisible")!= null)
							? (String)ConfigSingleton.getInstance().getAttribute("CONSOLE.taxonomyVisible")
							: "FALSE"; 
	if(taxonomyVisible.equalsIgnoreCase("TRUE")){ %>							
<console:taxonomyTree treeElementId="tree" actionName="ProcessInstanceListFilteredNotPublisherAction"/>
<%} %>
<script>
	var ajaxObjects = new Array();
	var treeMenu;
	var tabSelected = 0;
	var orderBy, orderType;
	
	<%	
		ResponseContainer responseContainer = getResponseContainer(request);		
		SourceBean listBean = (SourceBean)(serviceResponse.getAttribute("LIST"));
		if(listBean.getAttribute(Constants.LBL_SELECTED_ITER)!=null && taxonomyVisible.equalsIgnoreCase("TRUE")){ %>
			tabSelected = 1;
	<%}%>	
	
	//variabili conteneti scelte utente utilizzate per la navigazione 
	var processId, idSelectedNode, idSelectedIterType, taxonomy, taxonomyValue; 
	<% if (listBean.getAttribute(Constants.LBL_PROCESS_ID) != null){%>
		processId = "<%=listBean.getAttribute(Constants.LBL_PROCESS_ID)%>";
	<%} if (listBean.getAttribute(Constants.LBL_SELECTED_NODE) != null){%>
		idSelectedNode = "<%=listBean.getAttribute(Constants.LBL_SELECTED_NODE)%>";
	<%} if (listBean.getAttribute(Constants.LBL_SELECTED_ITER) != null){%>
		idSelectedIterType = "<%=listBean.getAttribute(Constants.LBL_SELECTED_ITER)%>";	
	<%} if (listBean.getAttribute(Constants.LBL_SELECTED_TAXONOMY) != null){%>						
		taxonomy = "<%=listBean.getAttribute(Constants.LBL_SELECTED_TAXONOMY)%>";
	<%} if (listBean.getAttribute(Constants.LBL_SELECTED_TAXONOMY_VALUE) != null){	%>
		taxonomyValue = "<%=listBean.getAttribute(Constants.LBL_SELECTED_TAXONOMY_VALUE)%>";
	<%}%>
	
	function init(){				
		<%if(taxonomyVisible.equalsIgnoreCase("TRUE")){ %>			
		initTabs('processSearchTab',Array('<%=MessageBundle.getMessage("taxonomy", "properties.spagic")%>','<%=MessageBundle.getMessage("iter", "properties.spagic")%>'), tabSelected,240,450,Array(false));					
		initTree();
		<%} else {%>
		initTabs('processSearchTab',Array('<%=MessageBundle.getMessage("iter", "properties.spagic")%>'), tabSelected,240,450,Array(false));					
		<%}%>		
		initTableWidget('myTable',650,450,Array('ID','PROCESS',false,false,'DATA',false,false,false));
	}
	function reload() {
		var url = "<%=docBase%>/ProcessInstanceListFilteredAction.action";
		if (processId != null)
			url += "?processId=" + processId;
		window.location = url;
	}
	function restartAll() {
		window.location = "<%=docBase%>/ProcessSearchAction.action?restart=TRUE";
	}
	
	function backup() {
		window.location = "<%=docBase%>/ProcessSearchAction.action?backup=TRUE";
	}

	function orderProcess(orderBy, direction){
		var url = "<%=docBase%>" + "/ProcessInstanceListFilteredNotPublisherAction.action?PAGE=CURRENT_PAGE";
		if(processId != null)
			url += "&<%=Constants.LBL_PROCESS_ID%>=" + processId;
		if(idSelectedNode != null)
			url += "&<%=Constants.LBL_SELECTED_NODE%>=" + idSelectedNode;
		if(idSelectedIterType != null)
			url += "&<%=Constants.LBL_SELECTED_ITER%>=" + idSelectedIterType;
		if(taxonomy != null)
			url += "&<%=Constants.LBL_SELECTED_TAXONOMY%>=" + taxonomy;
		if(taxonomyValue != null)
			url += "&<%=Constants.LBL_SELECTED_TAXONOMY_VALUE%>=" + taxonomyValue;
		url += "&ordinaPer=" + orderBy + "&ordina=" + direction;
		reloadProcessListByInstanceIter(url);
	}
	
	function clearFields(){
		if (navigator.appName == 'Microsoft Internet Explorer') {
			
		}else{
			document.getElementById('processListTable').innerHTML='';
			document.getElementById("inputFieldsRelevantDataAttributes").innerHTML = '';
		}
		
	}
	function showProcessList(){
		document.getElementById('processInstancesList').style.display='block';
	}	
	function showProcessInstanceGraph(processInstanceId, processId){
		window.location = "<%=docBase%>" + "/ProcessGraphAction.action?processInstanceId=" + processInstanceId + "&processId=" + processId;
	}
	function navigateProcessList(page){
		var url = "<%=docBase%>" + "/ProcessInstanceListFilteredNotPublisherAction.action?PAGE=" + page;
		if(processId != null)
			url += "&<%=Constants.LBL_PROCESS_ID%>=" + processId;
		if(idSelectedNode != null)
			url += "&<%=Constants.LBL_SELECTED_NODE%>=" + idSelectedNode;
		if(idSelectedIterType != null)
			url += "&<%=Constants.LBL_SELECTED_ITER%>=" + idSelectedIterType;
		if(taxonomy != null)
			url += "&<%=Constants.LBL_SELECTED_TAXONOMY%>=" + taxonomy;
		if(taxonomyValue != null)
			url += "&<%=Constants.LBL_SELECTED_TAXONOMY_VALUE%>=" + taxonomyValue;
		if (orderBy != null && orderType != null)
			url += "&ordinaPer=" + orderBy + "&ordina=" + orderType;
		reloadProcessListByInstanceIter(url);
	}
	function reloadProcessList(url){
		
		var ajaxIndex = ajaxObjects.length;			
		ajaxObjects[ajaxIndex] = new sack();		
		clearFields();		
		ajaxObjects[ajaxIndex].requestFile = url;	
		ajaxObjects[ajaxIndex].onCompletion = function(){onCompletionReloadProcessList(ajaxIndex)};		
		ajaxObjects[ajaxIndex].runAJAX();		
	}
	
	function reloadProcessListByInstanceIter(url){
		
		var requestParameters;
		if(url.indexOf('?') == -1)
			requestParameters = url + "?";
		else
			requestParameters = url + "&";
		if(url.indexOf("<%=Constants.LBL_SELECTED_ITER%>") == -1)
			requestParameters += "<%=Constants.LBL_SELECTED_ITER%>" + "=" + document.getElementById("iterType").value;	
		var elements = document.getElementsByTagName("INPUT"); 
		var input;
		
		if(elements!=null) {
			for (index=0; index<elements.length; index++) {
				input = elements[index];
				if(input.getAttribute("type") != "button" && input.getAttribute("type") != "image") 
					requestParameters += "&" + input.getAttribute("id") + "=" + document.getElementById(input.getAttribute("id")).value;
			}
		
			reloadProcessList(requestParameters);
		}
		
	}
	
	function setContentOnProcessListTable(idTable, aContentTable){
		
		var tableContainer = document.getElementById(idTable);
		
		if (navigator.appName == 'Microsoft Internet Explorer') {
		
				var container = document.getElementById('widget_table'); 
				
				var pixelWidth = "650px";
				var pixelHeight = "450px";
				if (container.style.pixelWidth){
         			//alert(container.style.pixelWidth);
         			pixelWidth = container.style.pixelWidth+"px";
      			}

				if (container.style.pixelHeight){
      				//alert(container.style.pixelHeight);
      				pixelHeight = container.style.pixelHeight+"px";
      			}
				
				var divContent = '';
				var styleOfTable = 'WIDTH: '+pixelWidth;/*+'; HEIGHT: '+pixelHeight;*/
				divContent += '<table id="myTable" cellpadding=0 cellspacing=0 class="tableWidget" style="'+styleOfTable+'">';				
				divContent += '<thead>';
				divContent += '<tr>';				
				divContent += '<td class="tableWidget_headerCell"><%=MessageBundle.getMessage("id", "properties.spagic")%></td>';
				divContent += '<td class="tableWidget_headerCell"><%=MessageBundle.getMessage("process", "properties.spagic")%></td>';
				divContent += '<td class="tableWidget_headerCell"><%=MessageBundle.getMessage("iter", "properties.spagic")%></td>';
				divContent += '<td class="tableWidget_headerCell"><%=MessageBundle.getMessage("instance", "properties.spagic")%></td>';
				divContent += '<td class="tableWidget_headerCell"><%=MessageBundle.getMessage("startProcess", "properties.spagic")%></td>';
				divContent += '<td class="tableWidget_headerCell"><%=MessageBundle.getMessage("endProcess", "properties.spagic")%></td>';
				divContent += '<td class="tableWidget_headerCell"><%=MessageBundle.getMessage("state", "properties.spagic")%></td>';
				divContent += '<td class="tableWidget_headerCell">&nbsp;</td>';			
				divContent += '</tr>';
				divContent += '</thead>';
				divContent += '<tbody id="processListTable">';/* class="scrollingContent">';*/
				divContent += aContentTable;
				divContent += '</tbody>';
				divContent += '</table>';
			
				removeAllChildNodes(container);
				var newdiv = document.createElement("div");

				if (container.style.width){
      				newdiv.style.width = container.style.width;
      			}

      			if (container.style.pixelWidth){
         			newdiv.style.pixelWidth = container.style.pixelWidth;
      			}

				if (container.style.height){
      				newdiv.style.height = container.style.height;
      			}

      			if (container.style.pixelHeight){
         			newdiv.style.pixelHeight = container.style.pixelHeight;
      			}	
      			
      			newdiv.innerHTML = divContent;
				container.appendChild(newdiv);
				
		}else{
			tableContainer.innerHTML = aContentTable
		}
	}
	
	function removeAllChildNodes(node) {
		if (node && node.hasChildNodes && node.removeChild) {
			while (node.hasChildNodes()) {
				node.removeChild(node.firstChild);
			}
		}
	}

	
	
	
	
	
	function onCompletionReloadProcessList(ajaxIndex){	
		
		responseXML = ajaxObjects[ajaxIndex].responseXML;
		processId = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_PROCESS_ID%>");	
		idSelectedNode = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_SELECTED_NODE%>");
		idSelectedIterType = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_SELECTED_ITER%>");						
		taxonomy = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_SELECTED_TAXONOMY%>");
		taxonomyValue = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_SELECTED_TAXONOMY_VALUE%>");						
		orderBy = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_ORDINAMENTO%>");	
		orderType = responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_TIPO_ORDINAMENTO%>");
		
		//sezione per la gestione di righe alternate in caso si sia selezionato iter
		instanceIterPrev = -1;
		classStyle = "<%=Constants.CLASS_BODY%>";
		changeClassStyle = false;
		
		// AZ - The method hasAttribute IS NOT SUPPORTED BY INTERNET EXPLORER
		
		/*
		if (navigator.appName == 'Microsoft Internet Explorer') {
			
		}else{
			if (responseXML.getElementsByTagName("LIST")[0].hasAttribute("<%=Constants.LBL_SELECTED_ITER%>")
				&& idSelectedIterType != -1 && idSelectedIterType != -2){
				changeClassStyle = true;
			}
			else{ 
				classStyle = "<%=Constants.CLASS_ALT%>";
			}
		}
		*/

		if (responseXML.getElementsByTagName("LIST")[0].getAttribute("<%=Constants.LBL_SELECTED_ITER%>")
				&& idSelectedIterType != -1 && idSelectedIterType != -2){
				changeClassStyle = true;
			}
			else{ 
				classStyle = "<%=Constants.CLASS_ALT%>";
			}


		document.getElementById('currentPageLabel').innerHTML = responseXML.getElementsByTagName("LIST")[0].getAttribute("currentPage");
		var list = responseXML.getElementsByTagName("ITEM");
		if (document.getElementById('nextPage') != null) {	
			if(list.length < <%=Constants.sizeProcessInstanceListFiltered%>){
				document.getElementById('nextPage').style.display= 'none';
				document.getElementById('lastPage').style.display= 'none';
				document.getElementById("currentPageLabel").onclick = function () {return};
			}	
			else  {
				document.getElementById('nextPage').style.display= 'inline';
				document.getElementById('lastPage').style.display= 'inline';
				document.getElementById("currentPageLabel").onclick = function () {navigateProcessList("<%=Constants.NEXT_PAGE%>"); return false;};
			}	
		}
		
		var contentProcessList = '';
		var item;
		var state;
		
		for (index=0; index<list.length; index++) {
			item = list[index];
			
			instanceIter = item.getAttribute("iterIstanza");
			if (changeClassStyle) {//gestione stili per righe alternate
				if (instanceIter != instanceIterPrev) {
						if (classStyle == "section-body") 
							classStyle = "section-alternate";
						else
							classStyle = "section-body";
				}
			}
			
			contentProcessList += '<TR>';			
			contentProcessList += '<TD class=\"' + classStyle + '\">' + item.getAttribute("id") + '</TD>';
			contentProcessList += '<TD class=\"' + classStyle + '\">' + item.getAttribute("processo") + '</TD>';
			contentProcessList += '<TD class=\"' + classStyle + '\">' + item.getAttribute("iter") +  '&nbsp;</TD>';
			contentProcessList += '<TD class=\"' + classStyle + '\">' + instanceIter +  '&nbsp;</TD>';
			contentProcessList += '<TD class=\"' + classStyle + '\">' + item.getAttribute("dataInizio") + '</TD>';
			contentProcessList += '<TD class=\"' + classStyle + '\">' + item.getAttribute("dataFine") + '&nbsp;</TD>';
			if (item.getAttribute("stato")==<%=ProcessInstanceStateConstants.PROCESS_ACTIVE%> ){
				contentProcessList += '<TD class=\"' + classStyle + '\"><img src="<%=docBase%>/images/console/wait.png" alt=\"Running\" title=\"Running\">';
			}else if (item.getAttribute("stato")==<%=ProcessInstanceStateConstants.PROCESS_WARNING%>) {
				contentProcessList += '<TD class=\"' + classStyle + '\"><img src="<%=docBase%>/images/console/warning.png" alt=\"Warning\" title=\"Warning\">';
			}else if (item.getAttribute("stato")==<%=ProcessInstanceStateConstants.PROCESS_DONE%>) {
				contentProcessList += '<TD class=\"' + classStyle + '\"><img src="<%=docBase%>/images/console/executed.png" alt=\"Executed\" title=\"Executed\">';
			}else if (item.getAttribute("stato")==<%=ProcessInstanceStateConstants.PROCESS_PAUSED%>) {
				contentProcessList += '<TD class=\"' + classStyle + '\"><img src="<%=docBase%>/images/console/pause.png" alt=\"Paused\" title=\"Paused\">';
			}else if (item.getAttribute("stato")==<%=ProcessInstanceStateConstants.PROCESS_STOPPED%>) {
				contentProcessList += '<TD class=\"' + classStyle + '\"><img src="<%=docBase%>/images/console/stopped.png" alt=\"Stopped\" title=\"Stopped\">';
			}else if ((item.getAttribute("stato")==<%=ProcessInstanceStateConstants.PROCESS_EXPIRED%>) || (item.getAttribute("stato")==<%=ProcessInstanceStateConstants.PROCESS_KILLED%>)) {
				contentProcessList += '<TD class=\"' + classStyle + '\"><img src="<%=docBase%>/images/console/clock_red.png" alt=\"Killed\" title=\"Killed\">';
			}else{
				contentProcessList += '<TD class=\"' + classStyle + '\"><img src="<%=docBase%>/images/console/fault.png" alt=\"Fault\" title=\"Fault\"/>';
			}
			if (item.getAttribute("restarted")=="TRUE")
				contentProcessList += '<img src="<%=docBase%>/images/console/lightning.png" alt="Restarted" title="Restarted">';
			contentProcessList += '</TD>';
				
			contentProcessList += '<TD class=\"' + classStyle + '\"><a href="#" onclick="showProcessInstanceGraph(' + item.getAttribute("id") + ',' + item.getAttribute("idProcesso") + ');return false;"><img src="<%=docBase%>/images/console/graph.gif"></a></TD>';	
			contentProcessList += '</TR>';
			
			instanceIterPrev = instanceIter;
		}
		//alert(contentProcessList);
		setContentOnProcessListTable('processListTable',contentProcessList);
		//document.getElementById('processListTable').innerHTML=contentProcessList;
		
		//reload attribute related to instance iter type
		var attributeList = responseXML.getElementsByTagName("ATTRIBUTE");
		if(attributeList != null){
			var attribute;
			var contentAttributeIter = '';
			if(attributeList.length>0) 
				contentAttributeIter = "<TABLE>";
			for (index=0; index<attributeList.length; index++) {
				attribute = attributeList[index];
				contentAttributeIter += '<TR>';	
				contentAttributeIter += '<TD>' + attribute.getAttribute("name") + '</TD>';
				contentAttributeIter += '<TD><INPUT id="<%=Constants.PREFIX_ATTRIBUTE%>' + attribute.getAttribute("idAttribute") + '" value="' + attribute.getAttribute("valore") + '" size="16"/></TD>';
				contentAttributeIter += '</TR>\n';
			}
			if(attributeList.length>0) {
				contentAttributeIter += '<TR><td colspan="2"><input type="button"';
		    	contentAttributeIter +=' onclick=\"reloadProcessListByInstanceIter(\'<%=docBase%>/ProcessInstanceListFilteredNotPublisherAction.action\')\" value="<%=MessageBundle.getMessage("search", "properties.spagic")%>"></td>';
		    	contentAttributeIter += '</tr>\n';
				contentAttributeIter += '</TABLE>';
			}
			document.getElementById('inputFieldsRelevantDataAttributes').innerHTML=contentAttributeIter;	
		}	
				
	}	
</script>
	<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<console:label id="processInstanceList"/>
	        </div>
	        <console:reloadMenu position="-4"/>
	        <console:advancedSearchMenu position="-3"/>
	        <console:restartAllMenu position="-2"/>
	        <console:backupMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>
		<div id="mainContainer">
		<div id="processContainer">
			<div id="processSearchTab">
			<%if(taxonomyVisible.equalsIgnoreCase("TRUE")){ %>	
				<div class="dhtmlgoodies_aTab">
					<div id="tree">	
					</div>
				</div>
			<%} %>
			    <div class="dhtmlgoodies_aTab">	
			    	<div id="iterTypeCombo">
			    		<console:iterTypeCombo idSelect="iterType" actionName="ProcessInstanceListFilteredNotPublisherAction" jsFunctionName="reloadProcessList" showAttributes="<%=true%>"/>
			    	</div>
			    </div>	
			</div>		
			<div id="processInstancesList">
			<table width="650px">
					<tr>
						<td style="width:16px"><a href="#" onclick="navigateProcessList('<%=Constants.FIRST_PAGE%>');return false;"><input type='image' src='<%=docBase%>/images/console/navigation/control_rewind_blue.png' name='first' title='<console:label id="firstPage"/>' /></a></td>
						<td style="width:16px"><a href="#" onclick="navigateProcessList('<%=Constants.PREV_PAGE%>');return false;"><input type='image' src='<%=docBase%>/images/console/navigation/control_back_blue.png' name='back' title='<console:label id="previousPage"/>' /></a></td>
				<%  int totalPages = (Integer)((SourceBean)getServiceResponse(request).getAttributeAsList("LIST").get(0)).getAttribute("totalPages");
					int currentPage = (Integer)((SourceBean)getServiceResponse(request).getAttributeAsList("LIST").get(0)).getAttribute("currentPage");
					if (currentPage < totalPages) {	%>
						<td style="width:16px"><a id="nextPage" href="#" onclick="navigateProcessList('<%=Constants.NEXT_PAGE%>');return false;"><input type='image' src='<%=docBase%>/images/console/navigation/control_play_blue.png' name='next' title='<console:label id="nextPage"/>' /></a></td>
						<td style="width:16px"><a id="lastPage" href="#" onclick="navigateProcessList('<%=Constants.LAST_PAGE%>');return false;"><input type='image' src="<%=docBase%>/images/console/navigation/control_fastforward_blue.png" name='last' title='<console:label id="lastPage"/>' /></a></td>
			<%} %>
						<td align="right"><console:label id="page"/> <label id="currentPageLabel" style="font-size: 12px;text-align:right;font-weight:bold;" onclick="navigateProcessList('<%=Constants.NEXT_PAGE%>');return false;" title='<console:label id="currentPage"/>'> <%=currentPage%> </label> <console:label id="ofPages"/> <label id="lastPageLabel" style="font-size: 12px;text-align:right;font-weight:bold;" onclick="navigateProcessList('<%=Constants.LAST_PAGE%>');return false;" title='<console:label id="lastPage"/>'> <%=totalPages%> </label></td>
					</tr>
			</table>
			<div id="widget_table" class="widget_tableDiv">
			<table id="myTable">
				<thead>
					<tr>						
						<td><console:label id="id"/></td>
						<td><console:label id="process"/></td>
						<td><console:label id="iter"/></td>
						<td><console:label id="instance"/></td>
						<td><console:label id="startProcess"/></td>
						<td><console:label id="endProcess"/></td>
						<td><console:label id="state"/></td>
						<td>&nbsp;</td>				
					</tr>
				</thead>
				<tbody id="processListTable" class="scrollingContent">
				<console:processInstanceList listPath="LIST" showProcessDetail="<%=false%>"/>
				</tbody>
			</table>
			</div>
			</div>
			
		</div> <!-- End processContainer -->
		</div>
	</div>
	</div>
</body>
</html>
