<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="java.util.List, it.eng.spago.base.SourceBean, it.eng.console.util.Constants"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"
%>
<%@ taglib uri="jmxtags" prefix="jmx"%>
<%@ taglib uri="consoletags" prefix="console"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<%@include file="../console/docBase.jsp"%>
<title>Spagic Console</title>
<link rel='stylesheet' href='<%=request.getContextPath()%>/css/console/console.css' type='text/css' />
</head>
<script>
	function reload() {
		var url = "<%=request.getContextPath()%>/SummaryAction.action?<%=it.eng.jmx.util.Constants.LBL_SELECTED_SERVER%>=" + document.getElementById('<%=it.eng.jmx.util.Constants.LBL_SELECTED_SERVER%>').value;
		window.location = url;
	}
	
	function periodicRefresh() {
		setTimeout('reload()',5000);
	}

</script>
<body onLoad="periodicRefresh();">
	<div id="background"> 
   	<div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
				<console:label id="system"/>
	        </div>
	        <console:reloadMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>
		<div id="mainContainer">
		<jmx:serverCombo idSelect="server" actionName="SummaryAction"/>
		<%SourceBean serviceResponse = getResponseContainer(request).getServiceResponse(); %>
		
		<!-- THREADS-->
		<div id="fieldsetContainer">
		<fieldset name="Threads">	
			<legend style="font-weight:bold">Threads</legend>		
			<table>
			<tr>
			<td>Live threads</td>		
			<td><input type="text" name="liveThreads" 
				id="liveThreads" size="20" value="<%=serviceResponse.getAttribute("liveThreads")%>" maxlength="20"></td>				
			</tr>
			<tr>
			<td>Daemon threads</td>		
			<td><input type="text" name="daemonThreads" 
				id="daemonThreads" size="20" value="<%=serviceResponse.getAttribute("daemonThreads")%>" maxlength="20"></td>				
			</tr>
			<tr>
			<td>Peak</td>		
			<td><input type="text" name="peak" 
				id="peak" size="20" value="<%=serviceResponse.getAttribute("peak")%>" maxlength="20"></td>				
			</tr>
			<tr>
			<td>Total started</td>		
			<td><input type="text" name="totalThreads" 
				id="totalThreads" size="20" value="<%=serviceResponse.getAttribute("totalThreads")%>" maxlength="20"></td>				
			</tr>					
			</table>
		</fieldset>
		</div
		<!-- MEMORY-->
		<div id="fieldsetContainer">
		<fieldset title="Memory">	
			<legend style="font-weight:bold">Memory</legend>	
			<table>
			<tr>
			<td>Current heap size (kbytes)</td>		
			<td><input type="text" name="currentHeapSize" 
				id="currentHeapSize" size="20" value="<%=serviceResponse.getAttribute("currentHeapSize")%>" maxlength="20"></td>				
			</tr>
			<tr>
			<td>Maximum heap size (kbytes)</td>		
			<td><input type="text" name="maxHeapSize" 
				id="maxHeapSize" size="20" value="<%=serviceResponse.getAttribute("maxHeapSize")%>" maxlength="20"></td>				
			</tr>				
			</table>
		</fieldset>
		</div>
		<!-- CLASSES-->
		<div id="fieldsetContainer">
		<fieldset title="Classes">
			<legend style="font-weight:bold">Classes</legend>	
			<table>
			<tr>
			<td>Current classes loaded</td>		
			<td><input type="text" name="currentClassesLoaded" 
				id="currentClassesLoaded" size="20" value="<%=serviceResponse.getAttribute("currentClassesLoaded")%>" maxlength="20"></td>				
			</tr>
			<tr>
			<td>Total classes loaded</td>		
			<td><input type="text" name="totalClassesLoaded" 
				id="totalClassesLoaded" size="20" value="<%=serviceResponse.getAttribute("totalClassesLoaded")%>" maxlength="20"></td>				
			</tr>
			</table>
		</fieldset>
		</div>
	</div><!-- end main container -->
		
	</div>
	</div>
</body>
</html>